<?php

function leo_blog_layout_customizer($wp_customize) {

    $leo_current_options = wp_parse_args(get_option('wallstreet_pro_options', array()), wallstreet_theme_data_setup());

    // blog Layout settings
    if (get_option('wallstreet_user', 'new')=='old' || $leo_current_options['upload_image_logo'] != '' || $leo_current_options['webrit_custom_css'] == 'nomorenow') {

        $wp_customize->add_setting('wallstreet_pro_options[blog_masonry3_layout_setting]', array(
            'default' => 'default',
            'sanitize_callback' => 'leo_sanitize_radio',
            'type' => 'option'
        ));
    } else {

        $wp_customize->add_setting('wallstreet_pro_options[blog_masonry3_layout_setting]', array(
            'default' => 'masonry3',
            'sanitize_callback' => 'leo_sanitize_radio',
            'type' => 'option'
        ));
    }
    $wp_customize->add_control(new leo_Image_Radio_Button_Custom_Control($wp_customize, 'wallstreet_pro_options[blog_masonry3_layout_setting]',
            array(
                'label' => esc_html__('Blog Layout Setting', 'leo'),
                'section' => 'blog_setting',
                'priority'              => 20,
                'choices' => array(
                    'default' => array(
                        'image' => get_stylesheet_directory_uri() . '/images/leo-blog-default.png',
                        'name' => esc_html__('Standard Layout', 'leo')
                    ),
                    'masonry3' => array(
                        'image' => get_stylesheet_directory_uri() . '/images/leo-blog-masonry.png',
                        'name' => esc_html__('Masonry 3 Column', 'leo')
                    )
                )
            )
    ));
}
add_action('customize_register', 'leo_blog_layout_customizer');